import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/device_managment/all_devices/bloc/switch_tabs/switch_tabs_bloc.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class RoutinesView extends StatelessWidget {
  const RoutinesView({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(16),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          Text("Create New Routines",
              style: Theme.of(context).textTheme.titleMedium?.copyWith(
                    fontWeight: FontWeight.bold,
                    color: ColorsManager.grayColor,
                  )),
          SizedBox(
            height: 200,
            width: 150,
            child: GestureDetector(
              onTap: () {
                BlocProvider.of<SwitchTabsBloc>(context).add(
                  const CreateNewRoutineViewEvent(true),
                );
              },
              child: Card(
                elevation: 3,
                shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(10),
                ),
                color: ColorsManager.whiteColors,
                child: Center(
                    child: Container(
                  decoration: BoxDecoration(
                    color: ColorsManager.graysColor,
                    borderRadius: BorderRadius.circular(120),
                    border: Border.all(color: ColorsManager.greyColor, width: 2.0),
                  ),
                  height: 70,
                  width: 70,
                  child: Icon(
                    Icons.add,
                    color: ColorsManager.dialogBlueTitle,
                    size: 40,
                  ),
                )),
              ),
            ),
          ),
          const Spacer(),
        ],
      ),
    );
  }
}
