import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/routiens/widgets/dragable_card.dart';
import 'package:syncrow_web/pages/routiens/widgets/routine_devices.dart';
import 'package:syncrow_web/pages/routiens/widgets/routines_title_widget.dart';
import 'package:syncrow_web/pages/routiens/widgets/scenes_and_automations.dart';
import 'package:syncrow_web/pages/routiens/widgets/search_bar_condition_title.dart';
import 'package:syncrow_web/utils/constants/assets.dart';

class ConditionsRoutinesDevicesView extends StatelessWidget {
  const ConditionsRoutinesDevicesView({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 8.0),
      child: SingleChildScrollView(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            const ConditionTitleAndSearchBar(),
            const SizedBox(
              height: 10,
            ),
            const Wrap(
              spacing: 10,
              runSpacing: 10,
              children: [
                DraggableCard(
                  imagePath: Assets.tabToRun,
                  title: 'Tab to run',
                ),
                DraggableCard(
                  imagePath: Assets.map,
                  title: 'Location',
                ),
                DraggableCard(
                  imagePath: Assets.weather,
                  title: 'Weather',
                ),
                DraggableCard(
                  imagePath: Assets.schedule,
                  title: 'Schedule',
                ),
              ],
            ),
            const SizedBox(
              height: 10,
            ),
            const TitleRoutine(
              title: 'Conditions',
              subtitle: '(THEN)',
            ),
            const SizedBox(
              height: 10,
            ),
            const Wrap(
              spacing: 10,
              runSpacing: 10,
              children: [
                DraggableCard(
                  imagePath: Assets.notification,
                  title: 'Send Notification',
                ),
                DraggableCard(
                  imagePath: Assets.delay,
                  title: 'Delay the action',
                ),
              ],
            ),
            const SizedBox(
              height: 10,
            ),
            const TitleRoutine(
              title: 'Routines',
              subtitle: '(THEN)',
            ),
            const SizedBox(
              height: 10,
            ),
            const ScenesAndAutomations(),
            const SizedBox(
              height: 10,
            ),
            const TitleRoutine(
              title: 'Devices',
              subtitle: '',
            ),
            const SizedBox(
              height: 10,
            ),
            const RoutineDevices(),
          ],
        ),
      ),
    );
  }
}
